<!DOCTYPE html>
<html lang="es">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <title>Formulario inicio</title>
    <link
      href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900"
      rel="stylesheet"
    />
    <link
      href="https://cdn.jsdelivr.net/npm/@mdi/font@6.x/css/materialdesignicons.min.css"
      rel="stylesheet"
    />
    <link
      href="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.min.css"
      rel="stylesheet"
    />
    <link href="css/general.css" rel="stylesheet" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, minimal-ui"
    />
  </head>

  <body>
    <div id="app">
      <v-app>
        <v-container fluid>
          <v-card>
            <v-img position="top center" :src="rutas.banner"></v-img>
          </v-card>
          <v-card class="mt-5">
            <v-card-text>
              <div class="text--primary">
                Querida posible asesora dejanos conocerte mejor.
              </div>
              <p class="text--primary font-weight-black">
                Por favor lea la siguiente información - tanto en el texto como
                en los hipervínculos - antes de suministrarnos sus datos
                personales y de autorizarnos su tratamiento.
                <a href="https://dupree.co/aviso-de-privacidad/" target="_blank"
                  >Ver Aviso de privacidad.</a
                >
              </p>
              <v-btn color="primary" depressed tile outlined>
                <v-icon left>mdi-account </v-icon>
                Ya inicié una solicitud y deseo retomarla
              </v-btn>
            </v-card-text>
          </v-card>
          <v-alert
            v-model="alerta.visible"
            border="top"
            class="mt-6"
            outlined
            type="warning"
            transition="scale-transition"
            dismissible
            prominent
          >
            {{alerta.texto}}
          </v-alert>
          <v-stepper v-model="paso" class="mt-5">
            <v-stepper-header>
              <v-stepper-step :complete="paso > 1" step="1">
                Datos personales
              </v-stepper-step>
              <v-divider></v-divider>
              <v-stepper-step :complete="paso > 2" step="2">
                Dirección de envio
              </v-stepper-step>
              <v-divider></v-divider>
              <v-stepper-step step="3">
                Verificación de preinscripción
              </v-stepper-step>
            </v-stepper-header>

            <v-stepper-items>
              <v-stepper-content step="1">
                <v-row class="mt-3">
                  <v-col cols="12" sm="6" md="4">
                    <v-select
                      v-model="datos.tipo_docu"
                      :error-messages="error_mens('tipo_docu')"
                      :items="seleccion.tipodoc"
                      :loading="carga.tipo_docu"
                      :disabled="deshabilitado.tipo_docu"
                      label="Tipo de documento"
                      @change="$v.datos.tipo_docu.$touch()"
                      @blur="$v.datos.tipo_docu.$touch()"
                      outlined
                    ></v-select>
                  </v-col>
                  <v-col cols="12" sm="6" md="4">
                    <v-text-field
                      label="Número Identificación"
                      :error-messages="error_mens('nume_iden')"
                      placeholder="Numero documento"
                      v-model="datos.nume_iden"
                      @input="$v.datos.nume_iden.$touch()"
                      @blur="$v.datos.nume_iden.$touch()"
                      outlined
                    ></v-text-field>
                  </v-col>
                  <v-col cols="12" sm="12" md="4">
                    <v-select
                      :items="seleccion.tipodoc"
                      label="Outlined style"
                      outlined
                    ></v-select>
                  </v-col>
                </v-row>
                <v-btn color="primary" @click="paso = 2"> Continue </v-btn>
              </v-stepper-content>

              <v-stepper-content step="2">
                <v-card
                  class="mb-12"
                  color="grey lighten-1"
                  height="200px"
                ></v-card>
                <v-btn color="primary" @click="paso = 3"> Continue </v-btn>
              </v-stepper-content>

              <v-stepper-content step="3">
                <v-card
                  class="mb-12"
                  color="grey lighten-1"
                  height="200px"
                ></v-card>
                <v-btn color="primary" @click=" paso = 1"> Finalizar </v-btn>
              </v-stepper-content>
            </v-stepper-items>
          </v-stepper>
        </v-container>
        <v-overlay :value="carga.pagina">
          <v-progress-circular
            indeterminate
            :width="7"
            color="primary"
            :size="64"
          ></v-progress-circular>
        </v-overlay>
        <pre>
          {{$v}}
        </pre>
        <pre>
          {{$data}}
        </pre>
      </v-app>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/axios/dist/axios.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/lodash@4.17.21/lodash.min.js"></script>
    <script src="js/vuelidate.min.js"></script>
    <script src="js/validators.min.js"></script>
    <script src="js/config.js"></script>
    <script src="js/app.js"></script>
  </body>
</html>
